Rails exploit in multi_xml remote code execution monkeypatch

Our friend the fowlest of ducks put together a nice monkeypatch for us
to
require after multi_xml is required.

This affects any rails project, any project using activesupport,
possibly
more.

https://gist.github.com/d7f6d9f4925f413621aa

You probably won’t need help with applying it, but here’s an update on a
proper fix. Should be in by Saturday perhaps.
https://twitter.com/sferik/status/289474598070792192

I’m also going to take this chance to be that guy and say retweet this
if
you can. https://twitter.com/fowlduck/status/289514566558310401

~Spaceghost

After I sobered up, it’s actually just anything that ends up using
multi_xml.

Sorry for any confusion. :confused:

~Spaceghost

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs